# UI-Chakra

This is the foundational UI component library, built on top of [Chakra
UI](https://chakra-ui.com/).

It re-exports all of @chakra-ui/react, and also composite components that
address common requirements in BurnsRED projects. Components which have
third-party dependencies are defined in their own package.

To develop, fire up @burnsred/styleguide, and consume the UI library from there.

## Installing in a client project

```sh
# WIP - whilst in dev
npm i ../burnsred-engage-ui/packages/ui-chakra

# WIP - once published
npm i @burnsred/engage-ui
```

### Installing fonts

```sh
npm install @fontsource/open-sans @fontsource/montserrat
```

Include fonts:

```tsx
// src/App.tsx

// whichever weights required
import '@fontsource/montserrat/700.css';
import '@fontsource/open-sans/400.css';
```

Configure the theme:

```ts
// src/theme/index.ts
export const theme: Partial<ChakraTheme> = extendTheme({
  // ...

  fonts: {
    heading: `'Montserrat', sans-serif`,
    body: `'Open Sans', sans-serif`,
  },

  // ...
});
```

### Optional dependencies

```sh
# recommended - tree-shakable, includes Material icons and many more
# https://react-icons.github.io/react-icons/
npm i react-icons
```
