import { type LinkProps as RouterLinkProps } from 'react-router-dom';
import { type ChakraLinkProps } from '.';
/** this component is  */
export type NavLinkProps = Omit<ChakraLinkProps, 'href'> & RouterLinkProps;
/**
 * Themeable Link which wraps react-router's Link.
 *
 * ```tsx
 * <Link to="/">anchor text</Link>
 * ```
 *
 * Note: Our default usage pattern is to link to a client-side route using
 * react-router; in the case you want to link to an external URL, import
 * `<ChakraLink />` instead.
 *
 * @see https://reactrouter.com/en/main/components/link
 * @see https://chakra-ui.com/docs/components/link/usage#usage-with-routing-library
 */
export declare const NavLink: (props: NavLinkProps) => import("react/jsx-runtime").JSX.Element;
